org.apache.poi.hwpf.model

## Class FibRgLw97

- java.lang.Object
- - org.apache.poi.hwpf.model.types.FibRgLw97AbstractType
  - - org.apache.poi.hwpf.model.FibRgLw97

- All Implemented Interfaces:
    FibRgLw

      @Internal
      public class FibRgLw97
      extends FibRgLw97AbstractType
      implements FibRgLw

  The FibRgLw97 structure is the third section of the FIB. This contains an array of 4-byte values.

  Class and fields descriptions are quoted from Microsoft Office Word 97-2007 Binary File Format and [MS-DOC] - v20110608 Word (.doc) Binary File Format

  Author:
    Sergey Vladimirov; according to Microsoft Office Word 97-2007 Binary File Format Specification [*.doc] and [MS-DOC] - v20110608 Word (.doc) Binary File Format

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hwpf.model.types.FibRgLw97AbstractType

      `field_1_cbMac, field_10_ccpTxbx, field_11_ccpHdrTxbx, field_12_reserved4, field_13_reserved5, field_14_reserved6, field_15_reserved7, field_16_reserved8, field_17_reserved9, field_18_reserved10, field_19_reserved11, field_2_reserved1, field_20_reserved12, field_21_reserved13, field_22_reserved14, field_3_reserved2, field_4_ccpText, field_5_ccpFtn, field_6_ccpHdd, field_7_reserved3, field_8_ccpAtn, field_9_ccpEdn`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FibRgLw97()`
    `FibRgLw97(byte[] std, int offset)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getSubdocumentTextStreamLength(SubdocumentType subdocumentType)`
    `void` | `setSubdocumentTextStreamLength(SubdocumentType subdocumentType, int newLength)`

    - ### Methods inherited from class org.apache.poi.hwpf.model.types.FibRgLw97AbstractType

      `equals, fillFields, getCbMac, getCcpAtn, getCcpEdn, getCcpFtn, getCcpHdd, getCcpHdrTxbx, getCcpText, getCcpTxbx, getReserved1, getReserved10, getReserved11, getReserved12, getReserved13, getReserved14, getReserved2, getReserved3, getReserved4, getReserved5, getReserved6, getReserved7, getReserved8, getReserved9, getSize, hashCode, serialize, serialize, setCbMac, setCcpAtn, setCcpEdn, setCcpFtn, setCcpHdd, setCcpHdrTxbx, setCcpText, setCcpTxbx, setReserved1, setReserved10, setReserved11, setReserved12, setReserved13, setReserved14, setReserved2, setReserved3, setReserved4, setReserved5, setReserved6, setReserved7, setReserved8, setReserved9, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.hwpf.model.FibRgLw

      `getCbMac, setCbMac`

- - ### Constructor Detail

    - #### FibRgLw97

          public FibRgLw97()

    - #### FibRgLw97

          public FibRgLw97(byte[] std,
                           int offset)

  - ### Method Detail

    - #### getSubdocumentTextStreamLength

          public int getSubdocumentTextStreamLength(SubdocumentType subdocumentType)

      Specified by:
        `getSubdocumentTextStreamLength` in interface `FibRgLw`

    - #### setSubdocumentTextStreamLength

          public void setSubdocumentTextStreamLength(SubdocumentType subdocumentType,
                                                     int newLength)

      Specified by:
        `setSubdocumentTextStreamLength` in interface `FibRgLw`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.